﻿#pragma once
#include "afxwin.h"
#include "PushButton.h"


// class declaration
namespace hr_rpc_proxy {
	interface IState;
}


// DlgJoyJog dialog box

class DlgJoyJog : public CDialog
{
	DECLARE_DYNAMIC(DlgJoyJog)

public:
	DlgJoyJog(CWnd* pParent = NULL);   // standard constructor
	virtual ~DlgJoyJog();

	void SetProxy(hr_rpc_proxy::IState* p_state) { p_state_ = p_state; }

// dialog-box data
	enum { IDD = IDD_JOY_JOG };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	hr_rpc_proxy::IState*	p_state_;		///< IState* pointer

	DECLARE_MESSAGE_MAP()

	CString GetStringUCrd(void);

public:
	CPushButton		m_btJ1N;
	CPushButton		m_btJ1P;
	CPushButton		m_btJ2N;
	CPushButton		m_btJ2P;
	CPushButton		m_btJ3N;
	CPushButton		m_btJ3P;

	CPushButton		m_btJ4N;
	CPushButton		m_btJ4P;
	CPushButton		m_btJ5N;
	CPushButton		m_btJ5P;
	CPushButton		m_btJ6N;
	CPushButton		m_btJ6P;

	CButton			m_btJogInch;

	virtual BOOL OnInitDialog();
	afx_msg void OnDestroy();
	afx_msg void OnTimer(UINT_PTR nIDEvent);
	afx_msg void OnBnClickedBtJogInch();
	afx_msg void OnBnClickedBtMSpdLevDec();
	afx_msg void OnBnClickedBtMSpdLevInc();
	afx_msg void OnBnClickedBtCrdSys();
	CButton m_btCrdSys;
	afx_msg void OnBnClickedBtSetUcrdNo();
	afx_msg void OnBnClickedBtSetToolNo();
	afx_msg void OnBnClickedBtMechNo();
	CButton m_btMechNo;
};
