﻿#pragma once

#include "resource.h"
#include "../inc/IMngFile.h"


class HRRpcCliDlg;
class ProgressShow;


// DlgMngFile dialog-box

class DlgMngFile : public CDialog
{
	DECLARE_DYNAMIC(DlgMngFile)

public:
	DlgMngFile(CWnd* pParent = NULL);   // standard constructor
	virtual ~DlgMngFile();

// dialog-box data
	enum { IDD = IDD_MNG_FILE };

	void set_module(HMODULE h_module) { h_module_ = h_module; }
	void set_base(hr_rpc_proxy::IBase* p_base) { p_base_ = p_base; }

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	DECLARE_MESSAGE_MAP()

// DDX variables
public:
	CListCtrl lcFileHi5_;
	CEdit edPathRc_;
	CEdit edFNameRc_;
	CEdit edFNamePc_;
	CProgressCtrl progressCtrl_;

protected:
	int InitProxyMngFile();
	int EndProxyMngFile();

private:
	HRRpcCliDlg*			dlgp_main_;
	HMODULE					h_module_;		///< HRRpcProxy DLL handle
	hr_rpc_proxy::IBase*	p_base_;		///< reference to IBase interface
	hr_rpc_proxy::IMngFile*	p_mng_file_;	///< reference to IMngFile interface
	ProgressShow*			p_progress_show_;

public:
	virtual BOOL OnInitDialog();
	afx_msg void OnDestroy();
	afx_msg void OnBnClickedSelFnamePc();
	afx_msg void OnBnClickedFlistHi5();
	afx_msg void OnBnClickedLoadFromHi5();
	afx_msg void OnBnClickedStoreToHi5();
	afx_msg void OnBnClickedDelHi5();
};
