﻿
// HRRpcCliDlg.h : header file
//
#pragma once


#include "../inc/IBase.h"


using namespace	std;



// HRRpcCliDlg dialog
class HRRpcCliDlg : public CDialog
{
// Construction
public:
	HRRpcCliDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	enum { IDD = IDD_HRRPCCLI_MAIN };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support

// DDX variables
public:
	// IP address
	CEdit m_editIpPc;
	CEdit m_editIpRc;

	// log
	CEdit m_editLog;

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	virtual BOOL OnInitDialog();
	afx_msg void OnDestroy();

	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()

	int InitProxyBase();
	int EndProxyBase();

private:
	HMODULE					h_module_;		///< HRRpcProxy DLL handle
	hr_rpc_proxy::IBase*	p_base_;		///< reference to IBase interface

public:
	void LogToMonitor(LPCTSTR str);

	afx_msg void OnBnClickedLocalHost();
	afx_msg void OnBnClickedMngFile();
	afx_msg void OnBnClickedInit();
	afx_msg void OnBnClickedEnd();
	afx_msg void OnBnClickedState();
};
