﻿// filename : Loose_COM.h
// 
/// @author Choi, Won-Hyuk, Hyundai Heavy Industries Co., Ltd.
/// @section CREATEINFO
///  Creator	: Hyundai Heavy Industries Co., Ltd.
/// @date 2015-03-31
/// @brief	When you want to combine COM library DLL loosely without registry process, \n
///			you can make use of below function instead of CoCreateInstance().
///			The component is identified with DLL path/filename instead of CLSID.


HRESULT CreateInstanceFromInst(HINSTANCE hInst, const CLSID& clsid, const IID& iid, void** ppv);
