﻿
// HRRpcCli.cpp : Defines the class behaviors for the application.
//

#include "stdafx.h"
#include "HRRpcCli.h"
#include "HRRpcCliDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif


// HRRpcCliApp

BEGIN_MESSAGE_MAP(HRRpcCliApp, CWinAppEx)
	ON_COMMAND(ID_HELP, &CWinApp::OnHelp)
END_MESSAGE_MAP()


// HRRpcCliApp construction

HRRpcCliApp::HRRpcCliApp()
{
	// TODO: add construction code here,
	// Place all significant initialization in InitInstance
}


// The one and only HRRpcCliApp object

HRRpcCliApp theApp;



// --------------------------------------------------------
/// @return		FALSE
/// @brief		HRRpcCliApp initialization
// --------------------------------------------------------
BOOL HRRpcCliApp::InitInstance()
{
	// InitCommonControlsEx() is required on Windows XP if an application
	// manifest specifies use of ComCtl32.dll version 6 or later to enable
	// visual styles.  Otherwise, any window creation will fail.
	INITCOMMONCONTROLSEX InitCtrls;
	InitCtrls.dwSize = sizeof(InitCtrls);
	// Set this to include all the common control classes you want to use
	// in your application.
	InitCtrls.dwICC = ICC_WIN95_CLASSES;
	InitCommonControlsEx(&InitCtrls);

	CWinAppEx::InitInstance();

	// WINSOCK initialization
	WORD wVersionRequested = MAKEWORD(2, 2);	// request up to WinSock version v2.2
	WSADATA wsaData;
	int iret = WSAStartup(wVersionRequested, &wsaData);
	if(iret != 0)
	{
		AfxMessageBox(IDP_SOCKETS_INIT_FAILED);
		return FALSE;
	}

	// Standard initialization
	// If you are not using these features and wish to reduce the size
	// of your final executable, you should remove from the following
	// the specific initialization routines you do not need
	// Change the registry key under which our settings are stored
	// TODO: You should modify this string to be something appropriate
	// such as the name of your company or organization
	SetRegistryKey(_T("Local AppWizard-Generated Applications"));

	HRRpcCliDlg dlg;
	m_pMainWnd = &dlg;
	INT_PTR nResponse = dlg.DoModal();
	if (nResponse == IDOK)
	{
		// TODO: Place code here to handle when the dialog is
		//  dismissed with OK
	}
	else if (nResponse == IDCANCEL)
	{
		// TODO: Place code here to handle when the dialog is
		//  dismissed with Cancel
	}

	// Since the dialog has been closed, return FALSE so that we exit the
	//  application, rather than start the application's message pump.
	return FALSE;
}


// --------------------------------------------------------
/// @return		0 indicates no errors, and values greater than 0 indicate an error. 
/// @brief		exit HRRpcCliApp
// --------------------------------------------------------
int HRRpcCliApp::ExitInstance()
{
	// Deregister itself from a Windows Sockets implementation 
	WSACleanup();

	return CWinAppEx::ExitInstance();
}
