﻿#include "StdAfx.h"
#include "ProgressShow.h"


// --------------------------------------------------------
/// @brief	Constructor
// --------------------------------------------------------
ProgressShow::ProgressShow(CProgressCtrl* pProgressCtrl)
{
	m_pProgressCtrl = pProgressCtrl;
}


// --------------------------------------------------------
/// @brief	Destructor
// --------------------------------------------------------
ProgressShow::~ProgressShow(void)
{

}


// --------------------------------------------------------
/// @param[in]	dRatio		progress ratio(%)
/// @return		void
/// @brief		set the progress ratio(%) of ProgressCtrl
// --------------------------------------------------------
void ProgressShow::SetRatio(long lRatio)
{
	m_pProgressCtrl->SetPos(lRatio);
}
