﻿// filename : main.cpp
// 
/// @author Choi, Won-Hyuk, Hyundai Heavy Industries Co., Ltd.
/// @section CREATEINFO
///  Creator	: Hyundai Heavy Industries Co., Ltd.
/// @date 2016-05-24

#include "stdafx.h"
#include <windows.h>
#include <conio.h>
#include <time.h>

#include "MonAx.h"


// winsock2 library
#pragma comment(lib, "Ws2_32.lib")

// COM API library
#pragma comment(lib, "comsuppw.lib")


// --------------------------------------------------------
/// @param[in]	argc
/// @param[in]	argv
/// @return		0
/// @brief		main entry function
// --------------------------------------------------------
int main(int argc, char* argv[])
{
	int			iret;
	MonAx		monAx;
	clock_t		clkSt, clkEn;


	iret = monAx.Init("192.168.1.172", "192.168.1.72");
	if(iret<0) return iret;

	for(int i=0; i<100; i++)
	{
		clkSt = clock();
		{
			monAx.DoMonitoring();
		}
		clkEn = clock();
		printf("elapsed time=%.1f ms \r\n\r\n"
			, (double)(clkEn - clkSt) / CLOCKS_PER_SEC * 1000);
	}

	monAx.End();
	

	_getch();

	return 0;
}

